# $Revision: 1.44 $, $Date: 2010/02/27 17:42:16 $
%bcond_without	opengl	#disable OpenGL support
Summary:	A free Open Source 2D MMORPG
Summary(pl.UTF-8):	Gra typu MMORPG 2D o otwartych źródłach
Name:		tmw
Version:	0.0.29.1
Release:	2
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/themanaworld/%{name}-%{version}.tar.gz
# Source0-md5:	263de26c8545a261c6b82b7ae639f733
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-OpenGL.patch
Patch2:		%{name}-guichan_sdl.patch
URL:		http://themanaworld.org/
%{?with_opengl:BuildRequires:	OpenGL-GLU-devel}
%{?with_opengl:BuildRequires:	OpenGL-devel}
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	curl-devel
BuildRequires:	guichan-devel >= 0.8.0
BuildRequires:	libxml2-devel
BuildRequires:	physfs-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	SDL_image
Requires:	SDL_mixer
Requires:	SDL_net
# should be autodetected
Requires:	curl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Mana World (TMW) is a serious effort to create an innovative free
and open source MMORPG. TMW uses 2D graphics and aims to create a
large and diverse interactive world. It is licensed under the GPL,
making sure this game can't ever run away from you.

The project includes the development of both a client and a server, as
well as the development of an online world. At the moment we're making
alpha releases of the client, while our server is in early
development. The eAthena free software Ragnarok Online server is used
until our own server has matured enough to replace it. Once ready,
we'll be making releases of our server too so anybody will be free to
set up their own server and start building their own online world.

%description -l pl.UTF-8
The Mana World (TMW) to poważna próba stworzenia innowacyjnej
darmowej gry MMORPG z otwartymi źródłami. TMW używa grafiki 2D i
ma stworzyć duży i różnorodny interaktywny świat. Jest
licencjonowana na warunkach GPL, dzięki czemu nigdy nie zostanie
zabrana.

Projekt obejmuje rozwój zarówno klienta jak i serwera, a także
tworzenie świata online. Aktualnie są tworzone wydania alpha
klienta, natomiast serwer jest we wczesnym etapie rozwoju. Do czasu
osiągnięcia dojrzałości serwera TMW używany jest darmowy serwer
eAthena Ragnarok Online.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with%{!?with_opengl:out}-opengl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/tmw
%{_desktopdir}/tmw.desktop
%{_mandir}/man6/%{name}.6*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tmw.spec,v $
Revision 1.44  2010/02/27 17:42:16  hawk
- release 2

Revision 1.43  2009/06/18 12:20:59  lisu
- 0.0.29.1

Revision 1.42  2009/05/16 16:49:51  hawk
- BR: SDL_ttf, release 2

Revision 1.41  2009/05/16 16:34:44  hawk
- updated to 0.0.29

Revision 1.40  2009/02/16 15:27:08  lisu
- remove empty ChangeLog from docs

Revision 1.39  2009/02/16 11:06:18  lisu
- up to 0.0.28.1
- fix problem with guichan_sdl library (patch|)
- use find_lang macro

Revision 1.38  2009/02/02 10:07:19  lisu
- 0.0.28
- doesn't build (TODO)
- adapter

Revision 1.37  2009/01/01 19:15:09  arvenil
- BR: OpenGL-GLU-devel
- sorted Requires
- proper passing configure option

Revision 1.36  2008/12/11 09:18:34  lisu
- up to 0.0.27

Revision 1.35  2008/09/22 19:54:57  pawelz
- it is 'free' as in 'free speech', not as in 'free beer'

Revision 1.34  2008/09/22 18:23:15  pablo
- up to 0.0.26

Revision 1.33  2008/04/12 12:52:15  lisu
- 0.0.24.1

Revision 1.32  2007-12-25 21:27:20  lisu
- up to 0.0.24
- -guichan.patch removed

Revision 1.31  2007-11-18 17:56:54  arekm
- rel 2

Revision 1.30  2007-07-25 08:33:55  patrys
- build with guichan 0.7.1

Revision 1.29  2007/06/15 20:55:06  lisu
- 0.0.23
- 0.6.1 version of guichan-devel in BRs
- man pages added

Revision 1.28  2007/06/14 18:32:41  arekm
- rel 2

Revision 1.27  2007/03/12 09:14:25  spider
- up to 0.0.22.2

Revision 1.26  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.24  2007/01/18 15:47:45  lisu
- 0.0.22.1
- guichan-devel >= 0.6.0 is needed

Revision 1.23  2006/12/27 01:51:42  lisu
- 0.0.22

Revision 1.22  2006/10/30 14:02:25  shadzik
- 0.0.21.1

Revision 1.21  2006/10/26 16:30:06  shadzik
- allways apply patch1

Revision 1.20  2006/10/26 15:02:28  shadzik
- enable OpenGL support
- rel 2

Revision 1.19  2006/10/26 14:29:37  shadzik
- remove CFLAGS (already set at configure time)

Revision 1.18  2006/10/24 16:08:49  qboosh
- automake epoch

Revision 1.17  2006/10/24 16:02:11  lisu
- 0.0.21
- tmw-desktop.patch added
- BRs sorted
- BR: guichan-devel must be at least 0.5.0 version (the game doesn't work with older versions)
- auto* added
- NEWS file added

Revision 1.16  2006/08/29 12:13:53  spider
- up to 0.0.20
- It is important to note that due to these engine changes, it is required to update to 0.0.20. Older versions will no longer work properly.

Revision 1.15  2006/05/23 07:59:15  spider
- rel 2

Revision 1.14  2006/03/15 16:17:54  spider
- up tim 0.0.19
- missing br (curl)

Revision 1.13  2006/03/03 15:34:58  spider
- rel2
- stbr

Revision 1.12  2006/02/21 20:03:54  spider
- missing br (SDL_net)

Revision 1.11  2006/01/03 15:23:02  spider
- up to 0.0.18.1

Revision 1.10  2005/10/14 13:46:58  spider
- up to 0.0.17

Revision 1.9  2005/09/08 10:56:55  spider
- up to 0.0.16
- rel 1

Revision 1.8  2005/08/14 14:12:23  spider
- up to 0.0.15

Revision 1.7  2005/07/13 14:29:15  spider
- up to 0.0.14.1

Revision 1.6  2005/06/13 16:04:33  spider
- typo

Revision 1.5  2005/06/12 09:40:25  qboosh
- pl desc

Revision 1.4  2005/06/11 08:48:08  spider
- another missing br's :)

Revision 1.3  2005/06/11 07:05:46  spider
- missing br's

Revision 1.2  2005/06/10 13:46:02  spider
- propper group

Revision 1.1  2005/06/10 13:43:22  spider
- init
- work for me
